<div class="container">    
    <form [formGroup]="form" (ngSubmit)="form.valid" autocomplete="off">
        <div class="row">
            <h2><b>DATOS DE ÁREA MUNICIPAL </b> ID Area Verde {{data.idareaverde}}</h2> 
        </div>
        <fieldset [disabled]="!es_admin">
            <div class="row mt-2 ml-2 mr-2">                
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Distrito</mat-label>
                        <input matInput type="text" placeholder="Distrito" formControlName="distrito" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Uv</mat-label>
                        <input matInput type="text" placeholder="Uv" formControlName="uv" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Situación Legal:</mat-label>
                        <input matInput type="text" placeholder="Situación Legal" formControlName="sit_legal" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Nombre:</mat-label>
                        <input matInput type="text" placeholder="Nombre" formControlName="nom" readonly>
                    </mat-form-field>
                </div>
            </div>
            <div class="row ml-2 mr-2">    
                <div class="col-md-4">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Uso:</mat-label>
                        <input matInput type="text" placeholder="Uso" formControlName="uso" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Uso Específico:</mat-label>
                        <input matInput type="text" placeholder="Uso Específico" formControlName="uso_especi" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Ley Municipal:</mat-label>
                        <input matInput type="text" placeholder="Ley Municipal" formControlName="ley_mcpal" readonly>
                    </mat-form-field>
                </div>
            </div>
            <div class="row ml-2 mr-2">               
                <div class="col-md-3">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Instrumento:</mat-label>
                        <input matInput type="text" placeholder="Instrumento" formControlName="instrument" >
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Matrícula:</mat-label>
                        <input matInput type="text" placeholder="Matrícula" formControlName="matricula" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Sup. Título:</mat-label>
                        <input matInput type="text" placeholder="Sup. Título" formControlName="sup_titulo" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Sup. Mensura:</mat-label>
                        <input matInput type="text" placeholder="Sup. Mensura" formControlName="sup_men" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Sup. CC:</mat-label>
                        <input matInput type="text" placeholder="Sup. CC" formControlName="sup_cc" readonly>
                    </mat-form-field>
                </div>
            </div>
            <div class="row ml-2 mr-2">                
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Nro. Plano:</mat-label>
                        <input matInput type="text" placeholder="Nro. Plano" formControlName="n_plano">
                    </mat-form-field>
                </div>
                <div class="col-md-2">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Fecha Emisión:</mat-label>
                        <input matInput type="text" placeholder="Fecha Emisión" formControlName="f_emision" readonly>
                    </mat-form-field>
                </div>
                <div class="col-md-8">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Observaciones:</mat-label>
                        <input matInput type="text" placeholder="Observaciones" formControlName="obs" readonly>
                    </mat-form-field>
                </div>
            </div>
                                        
        </fieldset>

        <div class="text-center" *ngIf="cargando">
            <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                <span class="sr-only">Cargando...</span>
            </div>
        </div>

        <div class="row mb-3 ml-2 mr-2">
            <div class="col-md-9">
                <table mat-table [dataSource]="dataSource">
                    <ng-container matColumnDef="nombre">
                      <th mat-header-cell *matHeaderCellDef> Tipo de Documento </th>
                      <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
                    </ng-container>
                    <ng-container matColumnDef="idareaverde">
                        <th mat-header-cell *matHeaderCellDef> Descargar </th>
                        <td mat-cell *matCellDef="let element">
                          <button
                            mat-button color="warning"
                            [hidden]="!swDescarga"
                            (click)="abrirDialogoDownload(element.idtipodocumento, element.nombre)"
                            *ngIf="element.idareaverde>0">
                              <mat-icon class="mat-18">download</mat-icon>
                          </button>
                        </td>
                        <!-- (click)="descargarPdf(element.idtipodocumento, element.nombre)" -->
                    </ng-container>
                    <ng-container matColumnDef="seleccionar">
                        <th mat-header-cell *matHeaderCellDef> Seleccionar </th>
                        <td mat-cell *matCellDef="let element"> 
                            <input type="file" class="fileControlInput"
                                [hidden]="!swAdjuntar"                                
                                (change)="onFileChange(element.idtipodocumento,$event)"                         
                                placeholder="Cargar Archivo"
                                accept="application/pdf">
                        </td>
                    </ng-container>
                    <ng-container matColumnDef="idtipodocumento">
                        <th mat-header-cell *matHeaderCellDef> Adjuntar </th>
                        <td mat-cell *matCellDef="let element">
                          <button class="mat-icon-button btn btn-primary"
                                  [hidden]="!swAdjuntar"
                                  (click)="cargarPdf(element.idtipodocumento)">
                              <mat-icon class="mat-18">upload</mat-icon>
                          </button>
                        </td>
                    </ng-container>
                    <ng-container matColumnDef="eliminar">
                        <th mat-header-cell *matHeaderCellDef> Eliminar </th>
                        <td mat-cell *matCellDef="let element">
                          <button class="mat-icon-button btn btn-danger"                                    
                                  [hidden]="!swEliminar"
                                  (click)="eliminar_documento(element.idtipodocumento)"
                                  *ngIf="element.idareaverde>0">
                              <mat-icon class="mat-18">delete</mat-icon>
                          </button>
                        </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                  </table>
            </div>
           
            <div class="col-md-2">                        
                <button type="button"
                (click)="guardarAreaMunicipal()"
                [hidden]="!swActualizar"
                [disabled]="!form.valid"
                mat-button color="primary">Actualizar Area</button>
            </div>
            <div class="col-md-1">
                <button type="button"
                mat-button color="success"
                (click)="cerrar()">Cerrar</button>
            </div>
        </div>
        
    </form>
    
</div>
